%define version 0.16
%define name telnet
%define prefix %{_prefix}

Name: %{name}
Version: %{version}
Summary: Client for the telnet remote login protocol.
Release: 4mdk
Copyright: BSD
Group: Networking/Remote access
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-telnet-%{version}.tar.bz2
Source1: telnet.wmconfig
Source2: telnet-client.tar.bz2
Source3: %{name}.xpm.bz2
Source4: %{name}-32.xpm.bz2
Patch4: telnet-0.10-escapechar.patch.bz2
Requires: inetd
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libtermcap-devel

%package server
Summary: Server for the telnet remote login protocol.
Group: System/Servers

%description
Telnet is a popular protocol for logging into remote systems over the Internet.
The telnet package provides a command line telnet client.

Install the telnet package if you want to telnet to remote machines.

%description server
Telnet is a popular protocol for logging into remote systems over the Internet.
The telnet-server package provides a telnet daemon, which will support remote
logins into the host machine. The telnet daemon is enabled by default. You may
disable the telnet daemon by editing /etc/inetd.conf.

Install the telnet-server package if you want to support remote logins to your
machine.

%prep 
%setup -q -n netkit-telnet-%{version}
mv telnet telnet-NETKIT
%setup -T -D -q -a 2 -n netkit-telnet-%{version}
find . -type d -name 'RCS'|xargs rm -rf
%patch4 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/telnetd
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make INSTALLROOT=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m644 $RPM_SOURCE_DIR/telnet.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/telnet

ln -sf in.telnetd.8 $RPM_BUILD_ROOT/usr/man/man8/telnetd.8

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat << EOF >$RPM_BUILD_ROOT/usr/lib/menu/telnet
?package(telnet): command="/usr/bin/telnet" needs="text" \
icon="telnet.xpm" section="Networking/Remote access" \
title="telnet" longtitle="Telnet client"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/mini
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/%{prefix}/share/icons/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = 0 ]; then
  [ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi
                                                               
%files
%defattr(-,root,root)
%config(missingok) /etc/X11/wmconfig/telnet
/usr/bin/telnet
/usr/man/man1/telnet.1*
/usr/lib/menu/telnet
/usr/share/icons/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm

%files server
%defattr(-,root,root)
/usr/sbin/in.telnetd
/usr/man/man5/issue.net.5*
/usr/man/man8/in.telnetd.8*
/usr/man/man8/telnetd.8*

%changelog
* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.16-4mdk
- added icon

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16-3mdk
- Fix bad menu entry.

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.16-2mdk
- Added menu

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.16-1mdk
- 0.16
- fixed groups
- spec-helper

* Thu Nov 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.14.
- Add the debian mechanism for telnet-server (go via a wrapper to login).
- Fix gcc2.95 compilation.

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Security fix to don't don't trust random TERM variables in telnetd

* Wed Jul 21 1999 Grgoire Colbert <gregus@etudiant.net>
- 9mdk : add fr locale

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 0.12
- split into two packages: telnet and telnet-server
- use NetKit telnet client (0.12 improved a lot...)

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- use glibc utmp routines.

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix the fix (wrong way memcpy).

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- fix "telnet localhost" bus error on sparc64 (alpha?).

* Tue Apr  6 1999 Jeff Johnson <jbj@redhat.com>
- use OpenBSD telnet client (and fix minor core dump with .telnetrc #247)

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- use openpty in telnetd

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 24 1998 Cristian Gafton <gafton@redhat.com>
- compile C++ code using egcs

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
